Bug 173453 - (rgb.txt) Modular X: rgb.txt not found, causes xfontsel to not work right
Modular X: rgb.txt not found, causes xfontsel to not work right
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: 173428 173435 173483 173594 173737 (view as bug list)
Depends On:
Blocks: FC5Blocker xorg-modular
  Show dependency treegraph
Reported: 2005-11-17 00:18 EST by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-24 13:38:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xfontsel window after a short usage (15.25 KB, image/png)
2005-11-17 00:18 EST, Michal Jaegermann
no flags Details

  None (edit)
Description Michal Jaegermann 2005-11-17 00:18:01 EST
Description of problem:

It does not take much effort to get 'xfontsel' window to look like on
an attached picture.  BTW - starting 'xfontsel' prints on startup
'Warning: Color name "black" is not defined' even if RgbPath is given
in a configuration and it seems to point to the right file and starting
'display' to show the attached picture results in an impressive:

$ display /var/tmp/xfontsel.png
display: color is not known to server `black'.
display: color is not known to server `black'.
display: color is not known to server `blue'.
display: color is not known to server `cyan'.
display: color is not known to server `green'.
display: color is not known to server `gray'.
display: color is not known to server `red'.
display: color is not known to server `magenta'.
display: color is not known to server `yellow'.
display: color is not known to server `white'.
display: color is not known to server `gray'.
display: color is not known to server `gray'.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Michal Jaegermann 2005-11-17 00:18:01 EST
Created attachment 121161 [details]
xfontsel window after a short usage
Comment 2 Mike A. Harris 2005-11-17 02:12:58 EST
Thanks for the report.  This is caused by bug #173036 I believe.
Once we fix that bug, I'll update this bug to get you to test
that it solves the problem here also.

Flagging this bug as depending on the other bug, and also adding to the
FC5Blocker tracker.

Comment 3 Mike A. Harris 2005-11-17 07:24:28 EST
Edit your xorg.conf file, and remove the line that has:

    RgbPath ...

Then restart the X server.  Does this make the problem go away?  If so,
then I can have a real quick fix for this problem for everyone by having
the upgrade of the X server, remove RgbPath from xorg.conf, as it should
never have been put in there by our crazy config tools anyway. ;o)

Then the actual location of rgb.txt becomes transparent to the system
hopefully, and I can lower the priority of fixing it, to divert resources
to other more critical problems that have come up.

Comment 4 Michal Jaegermann 2005-11-17 11:38:30 EST
Removing RgbPath from configuration does not make the problem to go away.
You will not get complaints on a startup but nothing helps.  In any case,
if you think that this is a root cause then log snippets seems to indicate
that 'rgb.txt' is searched in a location which does not exists - at least on
x86_64.  But making that file available in all three locations, i.e.
also does NOT seem to have any visible influence on what is happening.

I will see if server updates make any difference.
Comment 5 Mike A. Harris 2005-11-17 11:52:23 EST
*** Bug 173435 has been marked as a duplicate of this bug. ***
Comment 6 Mike A. Harris 2005-11-17 11:52:34 EST
*** Bug 173428 has been marked as a duplicate of this bug. ***
Comment 7 Mike A. Harris 2005-11-17 12:03:39 EST
*** Bug 173483 has been marked as a duplicate of this bug. ***
Comment 8 Jens Petersen 2005-11-20 03:27:41 EST
*** Bug 173734 has been marked as a duplicate of this bug. ***
Comment 9 Jens Petersen 2005-11-20 03:29:02 EST
*** Bug 173737 has been marked as a duplicate of this bug. ***
Comment 10 Michal Jaegermann 2005-11-20 12:45:06 EST
Maybe here are two different issues conflated into one report?  With the current
X server and RgbPath pointing into "the right place" in xorg.conf (yes, I know
that later I should be able to use defaults without an explicit specifications)
I do not see anymore all these  "color is not known to server", and similar, from
any program but this still does not make a display to look any different
like what is demonstrated on a picture attached to comment #1.

I strongly suspect that this is just a sample on which I stumbled without
looking very long.  Or this is a bug in a vesa server to which in this moment
I was forced to downgrade?

Results also seem to indictate that various fonts with correct specifications
are not displayed properly, and maybe that is the real bug here and that would 
be a sharp regress (but, again, I am not sure yet if I am interpreting correctly
what I am seeing).
Comment 11 Mike A. Harris 2005-11-22 22:41:12 EST
Yeah, there are multiple issues, but from the development side it is easier
thinking of it as "solve all problems with rgb.txt", so I'm grouping them
together for now roughly.  The multiple problems are:

1 make sure rgb.txt is installed in the correct place where we want it to

2 make sure all applications/libraries that read the file directly are
  configured at compile time to know where we put the file.

3 make sure any runtime configuration overrides, such as the RgbPath in the
  xorg.conf are not pointing in the wrong place (or remove them)

#1 is solved in the latest internal xorg-x11-server-utils package, but it
wont build due to a separate bug in a package it depends on that is not
yet solved, but will be soon.

#3 is believed to be solved in the latest X server package.

#2 is solved in the xorg-x11-server-utils package for the utils included
in the package.  The X server, and possibly other things may or may not
need to be updated yet to fully solve #2.  Once we get the package from
#2 built and out there, I'll be investigating if other things need
changing however.

Thanks for all of the data you've provided.  These problems should all be
cleared up real soon.  I'll post an update once the packages are ready.

Comment 12 Mike A. Harris 2005-11-23 10:27:17 EST
*** Bug 173594 has been marked as a duplicate of this bug. ***
Comment 13 Michal Jaegermann 2005-11-25 01:33:09 EST
Faulty menu redraws, as shown in a picture attched to a comment #1 are not
a problem anymore with xfontsel from xorg-x11-utils-0.99.2-3 package.

I would close that bug if not that issue that a lot of "unknown color" bugs
were closes as duplicates of this one.

The later is also not a problem if one correctly specifies RgbPath in
xorg.conf.  Server defaults still point to a non-existing one.  See
Comment 14 Mike A. Harris 2005-11-25 05:15:57 EST
Ok, I found the problem.  Others distro packagers were saying rgb.txt worked
for them, however they're using the default build which puts it in
/usr/lib/blah, which is wrong for FHS compliance.  By using --with-rgb-path
it is supposed to put it where you tell it to, and *use* it there too.

However, the --with-rgb-path option does not actually _work_, which I tracked
down to dix-config.in having a mixup between RGB_DB and RGB_PATH.  I've fixed
this, and checked the binary with 'strings' to confirm it works now.

I'm building a repaired X server right now, which will be in rawhide tomorrow
I believe, if not the next day.

Everyone wanting to test this will need to have a _fully_ updated rawhide
system, with each of the following manually visually tested and confirmed
to be at least these versions:


In addition, it is important that you must be using the absolute latest
build of whatever application may have failed before.  Please install
the new packages, and test them out.  After installing them, it is a
very good idea to reboot.

If you have a failure, please manually verify with "rpm -q <packagename>"
that you really do have these versions or newer installed.  If a specific
app fails, use "rpm -qf $(which <appname>)" to find out what package it
is from, and then manually confirm that there is not a newer version in
Fedora development.

If anyone still has a problem with the latest packages, and has verified
they are really using the latest packages with the above commands, please
file a brand new bug report detailing the problem, and cut and paste the
complete name-version-release list of modular X packages installed on
your system.

Thanks in advance.

Setting status to "MODIFIED" and awaiting testing and verification.  Please
move to "RAWHIDE or "ASSIGNED depending on the results of testing, and update
the report.

Comment 15 Christopher Aillon 2006-01-24 13:38:01 EST
Looks like this is fixed, marking RAWHIDE.  Reopen if its an issue still.
Comment 16 Mike A. Harris 2006-02-01 17:55:24 EST
Update: This problem was resolved a while back, as indicated above, and
confirmed to be fixed, however there is at least one new bug report that has
come in stating the problem still exists in current rawhide.

If anyone who was able to reproduce the problem before could ensure that
there is no RgbPath entry in their xorg.conf and also comment wether
the issue has returned for them on any systems, or if it is still resolved
in current rawhide, that would be helpful info.

Bug #176222 is the currently open issue that was filed recently.  Feel free
to add any comments to that report as well if desired.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.